Page 1 of 1

3.0.6 to 3.0.8 internal server error

Posted: Fri Nov 26, 2010 9:45 pm
by xymox
After the automatic update updated the database files, it said checking files and got to around 36 and then I get a internal server error and thats it...

I am a noob at this. Sorry if its something stupid I missed..

I renamed my install directory and the board seems to be working ok even tho it did appear to update the database..

Re: 3.0.6 to 3.0.8 internal server error

Posted: Fri Nov 26, 2010 9:48 pm
by KevC
Do you have any MODs installed?

Re: 3.0.6 to 3.0.8 internal server error

Posted: Fri Nov 26, 2010 9:51 pm
by xymox
From the apache error logs

Nov 26 16:33:05 10.xxxxxxx: 45804:[error] [client ] Premature end of script headers: php4

Re: 3.0.6 to 3.0.8 internal server error

Posted: Fri Nov 26, 2010 9:52 pm
by xymox
Nope no MOD's..

http://www.lhcportal.com/Forum/ VERY basic forum...

Re: 3.0.6 to 3.0.8 internal server error

Posted: Fri Nov 26, 2010 9:56 pm
by KevC
Then to update you only have to do this

*NOTE: Before proceeding backup all files and the database.*
  • Upload all new files from a download of the full version, EXCEPT for config.php, the /images and /files folders.
  • Go to yoursite.com/forumfolder/install/database_update.php
  • Let that run and then delete the install folder.
  • You now have a new up to date board containing all your users and posts but without any MODs that you might have had installed.
And make sure you have a 3.0.8 version of your added style as well.

Re: 3.0.6 to 3.0.8 internal server error

Posted: Fri Nov 26, 2010 10:04 pm
by xymox
Hmmm.... but that error is kinda scary ? The Autoupgrade should work right ? Is there a known issue in the upgrade process ?

Sorry to be nervous, but I don't want to clean up some huge mess..

Maybe I need a newer version of PHP or something ?

Im running 5.2.12

Re: 3.0.6 to 3.0.8 internal server error

Posted: Fri Nov 26, 2010 10:08 pm
by KevC
Yes it should work but it might be that your server timed out.

As you have no MODs you don't NEED to update that way because it will just give you a load of merged files which are the same as the full download ones you can get anyway.

So it's simpler to cut out that step altogether and just get the full version files and upload them as described.

Re: 3.0.6 to 3.0.8 internal server error

Posted: Fri Nov 26, 2010 10:27 pm
by xymox
THANK YOU !

I will try that tomorrow..

I can't get a newer version of my style. Will that be a issue ? Are there style files I need to be careful about overwriting ?

Thank you for helping a noob...

Re: 3.0.6 to 3.0.8 internal server error

Posted: Fri Nov 26, 2010 10:30 pm
by KevC
Your style will be in a separate folder.

You might be ok and you might not. It's certainly something you should consider getting asap though. 3.0.8 only came out a couple of days ago so it might take a little time for style authors to get round to updating.